Arch Linux: VLC – no suitable dialogs provider found (hint: compile the qt4 plugin, and make sure it is loaded properly)

Автор: | 27/12/2017

После очередного обновления, при запуске VLC плеера – открывается только окно с изображением, а все менюшки отсутсвуют:

Лог запуска говорит, что:

[simterm]

$ vlc
VLC media player 2.2.8 Weatherwax (revision 2.2.7-14-g3cc1d8cba9)
[0000562f55f74398] core libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
[0000562f560b6c58] skins2 interface error: no suitable dialogs provider found (hint: compile the qt4 plugin, and make sure it is loaded properly)
[0000562f560b6c58] skins2 interface error: cannot instantiate qt4 dialogs provider
...

[/simterm]

Собственно, сейчас тут интересует одна строка:

[0000562f560b6c58] skins2 interface error: no suitable dialogs provider found (hint: compile the qt4 plugin, and make sure it is loaded properly)

Проверяем зависимости для VLC:

[simterm]

$ pacman -Qi vlc

[/simterm]

Или сразу с grep:

[simterm]

$ pacman -Qi vlc | grep qt4
                  qt4: for the GUI

[/simterm]

[installed] – нет, значит не установлен.

Добавляем его:

[simterm]

$ sudo pacman -S qt4

[/simterm]

И проверяем:

А на вопрос “куда делся qt4” (ведь “Всё работало!” (с)) – ответит лог pacman-a:

[simterm]

$ cat  /var/log/pacman.log | grep -E '2017-12.*qt4'
[2017-12-19 00:36] [ALPM] removed lib32-qt4 (4.8.7-13)
[2017-12-19 00:36] [ALPM] removed qt4 (4.8.7-23)
[2017-12-26 20:09] [PACMAN] Running 'pacman -S qt4'
[2017-12-26 20:09] [ALPM] installed qt4 (4.8.7-23)

[/simterm]

[2017-12-19 00:36] [ALPM] removed qt4 (4.8.7-23)

Ну, ОК…